public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-vcs/git-lfs/
Date: Wed, 26 Jul 2023 02:53:12 +0000 (UTC)	[thread overview]
Message-ID: <1690339745.5b95234981a70d95f25c45a96e2a776c3abb4be4.sam@gentoo> (raw)

commit:     5b95234981a70d95f25c45a96e2a776c3abb4be4
Author:     Nils Freydank <holgersson <AT> posteo <DOT> de>
AuthorDate: Sat Jul 15 16:10:35 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Jul 26 02:49:05 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5b952349

dev-vcs/git-lfs: Bump to 3.3.0

This bump brings some in-detail changes to the package
and the ebuild itself:
- Vendor deps ourselves now.
- For man page generation follow upstream's switch from ronn-ng to asciidoctor
  (flavored markdown to asciidoc).
- Update the copyright year to reflect th really-first adding of
  git-lfs to the tree.
- Set upstream's git commit id for the release.
- Add the github repo into HOMEPAGE.
- Disable cgo by default.

Signed-off-by: Nils Freydank <holgersson <AT> posteo.de>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-vcs/git-lfs/Manifest             |  2 +
 dev-vcs/git-lfs/git-lfs-3.3.0.ebuild | 86 ++++++++++++++++++++++++++++++++++++
 2 files changed, 88 insertions(+)

diff --git a/dev-vcs/git-lfs/Manifest b/dev-vcs/git-lfs/Manifest
index 009365b872d6..2bec6642d1ed 100644
--- a/dev-vcs/git-lfs/Manifest
+++ b/dev-vcs/git-lfs/Manifest
@@ -1 +1,3 @@
 DIST git-lfs-3.2.0.tar.gz 3270970 BLAKE2B fc235d48e44f8a0f446b05914cd110e6486481482b2884483dcf04198a3275a633cd8090e1591975f8b84ba678c258581e3510fc0d478d5fc72abf6aa98bd5c0 SHA512 c2ba8cecd5b3519a032f446b0c3043352f37f3c67ff3c2304a38beb176f0ae8efd1deaeb8bd54a35d7dd7dcd988da67249c896dffd83fc293b165a3e6bb02d66
+DIST git-lfs-3.3.0-deps.tar.xz 24664124 BLAKE2B d22a7c7943a917746d1cf22db30582a8bc15e21fd1afe3194aae07316ddb68072ef2d183eef5b909566c640aa435f62aac0658ccbcb8148efe9506c102795656 SHA512 801d278eb76236ce683797ca7a9520b8dfe1ebdb59ccc4ba0526878f5e794d30199604004949e906ae6cccb68ea3b8e3afdacbd6de5e8a79448dfa09744af66c
+DIST git-lfs-3.3.0.tar.gz 656080 BLAKE2B 33cd41c3669f0eb5b94299ca192ede32337b521c812ceb3ecc1e07f2375b80037b62948b8d4e345cd86324d4e781024b691e809550f61302a60962b1c8400c4c SHA512 c339a61c23950d249ac135d75c9b9c4b871f491535d6d6a0accbf06efe36798566502ab310396f44acdc1d93aa7358a719a81428042fb2eda1ab237b08e4ba41

diff --git a/dev-vcs/git-lfs/git-lfs-3.3.0.ebuild b/dev-vcs/git-lfs/git-lfs-3.3.0.ebuild
new file mode 100644
index 000000000000..7b98fd42b0f3
--- /dev/null
+++ b/dev-vcs/git-lfs/git-lfs-3.3.0.ebuild
@@ -0,0 +1,86 @@
+# Copyright 2017-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+EGO_PN=github.com/git-lfs/git-lfs
+# Update the ID as it's included in each build.
+COMMIT_ID="77deabdf9a18f8a07ecfd3e0f4aa572ffbbab8d4"
+
+inherit go-module
+
+DESCRIPTION="Command line extension and specification for managing large files with git"
+HOMEPAGE="
+	https://git-lfs.com
+	https://github.com/git-lfs/git-lfs
+"
+
+if [[ "${PV}" = 9999* ]]; then
+	EGIT_REPO_URI="https://${EGO_PN}"
+	inherit git-r3
+else
+	SRC_URI="https://${EGO_PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+	# Add the manually vendored tarball.
+	# Compress the tarball with: xz -9kT0 --memlimit-decompress=256M
+	SRC_URI+=" https://files.holgersson.xyz/gentoo/distfiles/golang-pkg-deps/${P}-deps.tar.xz"
+	KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+fi
+
+LICENSE="Apache-2.0 BSD BSD-2 BSD-4 ISC MIT"
+SLOT="0"
+IUSE="doc test"
+
+BDEPEND="
+	doc? ( dev-ruby/asciidoctor )
+"
+RDEPEND="dev-vcs/git"
+
+RESTRICT+=" !test? ( test )"
+
+DOCS=(
+	CHANGELOG.md
+	CODE-OF-CONDUCT.md
+	CONTRIBUTING.md
+	README.md
+	SECURITY.md
+)
+
+src_compile() {
+	export CGO_ENABLED=0
+
+	# Flags -w, -s: Omit debugging information to reduce binary size,
+	# see https://golang.org/cmd/link/.
+	local mygobuildargs=(
+		-ldflags="-X ${EGO_PN}/config.GitCommit=${COMMIT_ID} -s -w"
+		-gcflags=" "
+		-trimpath
+		-v -work -x
+	)
+	go build "${mygobuildargs[@]}" -o git-lfs git-lfs.go || die
+
+	if use doc; then
+		for doc in docs/man/*adoc;
+			do asciidoctor -b manpage ${doc} || die "man building failed"
+		done
+	fi
+}
+
+src_install() {
+	dobin git-lfs
+	einstalldocs
+	use doc && doman docs/man/*.1
+}
+
+src_test() {
+	local mygotestargs=(
+		-ldflags="-X ${EGO_PN}/config.GitCommit=${COMMIT_ID}"
+	)
+	go test "${mygotestargs[@]}" ./... || die
+}
+
+pkg_postinst () {
+	if [[ -z "${REPLACING_VERSIONS}" ]]; then
+		elog ""
+		elog "Run 'git lfs install' once for each user account manually."
+		elog "For more details see https://bugs.gentoo.org/show_bug.cgi?id=733372."
+	fi
+}


             reply	other threads:[~2023-07-26  2:53 UTC|newest]

Thread overview: 85+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-07-26  2:53 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-20 22:55 [gentoo-commits] repo/gentoo:master commit in: dev-vcs/git-lfs/ Sam James
2025-01-15  5:39 Michał Górny
2025-01-15  5:39 Michał Górny
2024-12-01 11:45 Sam James
2024-12-01 11:45 Sam James
2024-12-01 11:45 Sam James
2024-07-11 11:01 Sam James
2024-04-09  6:59 Yixun Lan
2024-04-09  6:59 Yixun Lan
2023-09-25  6:33 Arthur Zamarin
2023-09-25  6:33 Arthur Zamarin
2023-08-08  5:27 Sam James
2023-08-08  5:27 Sam James
2023-08-08  5:27 Sam James
2023-07-26  2:53 Sam James
2023-06-12 14:06 Sam James
2023-04-25 22:16 Sam James
2023-04-10 22:17 Sam James
2023-03-04 13:22 Arthur Zamarin
2023-02-21  9:29 Sam James
2023-02-21  9:29 Sam James
2023-02-21  9:29 Sam James
2022-10-15  6:58 Jakov Smolić
2022-07-25  6:10 Joonas Niilola
2022-06-12  7:33 Joonas Niilola
2022-05-18 15:14 Joonas Niilola
2022-05-18 15:14 Joonas Niilola
2022-04-09 17:56 Agostino Sarubbo
2022-03-04  9:49 Joonas Niilola
2022-03-04  9:49 Joonas Niilola
2022-01-28  7:24 Sam James
2021-12-15  5:37 Sam James
2021-04-10  7:45 Joonas Niilola
2021-04-10  7:45 Joonas Niilola
2021-02-01 16:32 Sam James
2021-01-28  8:16 Joonas Niilola
2021-01-28  8:16 Joonas Niilola
2021-01-28  8:16 Joonas Niilola
2020-11-18 15:24 Joonas Niilola
2020-11-18 15:24 Joonas Niilola
2020-08-12 22:10 Thomas Deutschmann
2020-08-12 22:10 Thomas Deutschmann
2020-07-19 16:03 Sam James
2020-07-05 17:17 William Hubbs
2020-06-15 14:59 Agostino Sarubbo
2020-05-24 20:01 William Hubbs
2020-05-24 19:57 William Hubbs
2020-05-17 11:29 Joonas Niilola
2020-05-17 11:29 Joonas Niilola
2020-05-17 11:29 Joonas Niilola
2020-05-17 11:29 Joonas Niilola
2020-05-07 13:29 Agostino Sarubbo
2020-03-25 11:17 Joonas Niilola
2020-03-25 11:17 Joonas Niilola
2020-03-25 11:17 Joonas Niilola
2019-06-24 15:14 Michael Haubenwallner
2019-06-18  6:55 Ettore Di Giacinto
2019-06-18  6:55 Ettore Di Giacinto
2019-05-31  6:49 Agostino Sarubbo
2019-02-08 22:15 Ettore Di Giacinto
2019-02-08 22:15 Ettore Di Giacinto
2018-09-23 11:26 Ettore Di Giacinto
2018-09-23 11:26 Ettore Di Giacinto
2018-06-27 14:41 Ettore Di Giacinto
2018-06-27 14:41 Ettore Di Giacinto
2018-02-03 10:03 Ettore Di Giacinto
2017-10-01  8:27 Ettore Di Giacinto
2017-10-01  8:27 Ettore Di Giacinto
2017-09-24  9:22 Ettore Di Giacinto
2017-09-24  9:22 Ettore Di Giacinto
2017-07-20 17:11 Ettore Di Giacinto
2017-07-02 14:16 Ettore Di Giacinto
2017-07-02 14:16 Ettore Di Giacinto
2017-06-04 15:18 Ettore Di Giacinto
2017-05-21 11:14 Ettore Di Giacinto
2017-05-01 10:18 Ettore Di Giacinto
2017-05-01 10:18 Ettore Di Giacinto
2017-05-01 10:18 Ettore Di Giacinto
2017-03-31 14:10 Ettore Di Giacinto
2017-03-31 14:10 Ettore Di Giacinto
2017-03-08 10:17 Ettore Di Giacinto
2017-03-03  9:47 Ettore Di Giacinto
2017-02-23 14:25 Ettore Di Giacinto
2017-02-23 14:25 Ettore Di Giacinto

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1690339745.5b95234981a70d95f25c45a96e2a776c3abb4be4.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox